Bulk add contacts to a contact list
curl --request POST \
--url https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"name": "<string>",
"phone_number": "<string>",
"phone_number_2": "<string>",
"phone_number_3": "<string>",
"contact_info": {}
}
]
}
'import requests
url = "https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/bulk"
payload = { "contacts": [
{
"name": "<string>",
"phone_number": "<string>",
"phone_number_2": "<string>",
"phone_number_3": "<string>",
"contact_info": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contacts: [
{
name: '<string>',
phone_number: '<string>',
phone_number_2: '<string>',
phone_number_3: '<string>',
contact_info: {}
}
]
})
};
fetch('https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123
}Contacts
Bulk add contacts to a contact list
Add up to 1000 contacts in a single request.
POST
/
v1
/
contact-lists
/
{contact_list_id}
/
contacts
/
bulk
Bulk add contacts to a contact list
Authorizations
API key authentication. Include your API key in the Authorization header as: Authorization: Bearer <your-api-key>
Path Parameters
Body
application/json
Array of contacts to add. Maximum 1000 per request.
Maximum array length:
1000Show child attributes
Show child attributes
Response
Contacts created
Number of contacts created.
Was this page helpful?
⌘I